cURL
curl --request POST \
--url https://sandbox.withclasp.com/business_units \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employer": "<string>",
"legal_name": "<string>",
"public_id": "<string>",
"trade_name": "<string>",
"federal_ein": "<string>",
"is_primary": true,
"phone_number": "<string>",
"email": "<string>",
"metadata": {}
}
'import requests
url = "https://sandbox.withclasp.com/business_units"
payload = {
"employer": "<string>",
"legal_name": "<string>",
"public_id": "<string>",
"trade_name": "<string>",
"federal_ein": "<string>",
"is_primary": True,
"phone_number": "<string>",
"email": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employer: '<string>',
legal_name: '<string>',
public_id: '<string>',
trade_name: '<string>',
federal_ein: '<string>',
is_primary: true,
phone_number: '<string>',
email: '<string>',
metadata: {}
})
};
fetch('https://sandbox.withclasp.com/business_units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"employer": "<string>",
"legal_name": "<string>",
"public_id": "<string>",
"trade_name": "<string>",
"federal_ein": "<string>",
"is_primary": true,
"address": {
"line1": "<string>",
"city": "<string>",
"zip_code": "<string>",
"line2": "<string>"
},
"phone_number": "<string>",
"email": "<string>",
"metadata": {}
}Business Units
Create Business Unit
POST
/
business_units
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Maximum string length:
30Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Maximum string length:
255Show child attributes
Show child attributes
Maximum string length:
10Maximum string length:
255Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes
Response
201 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Maximum string length:
30Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Maximum string length:
255Show child attributes
Show child attributes
Maximum string length:
10Maximum string length:
255Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes
⌘I